Create AI analysis prompt
curl --request POST \
--url https://ai.platform.arb.inc/prompts/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentID": "statementOfClaim",
"ruleSet": "small-claims-v1",
"prompt": "Analyze the statement of claim and extract key facts, legal arguments, and relief requested. Identify any procedural issues or missing information.",
"active": true,
"triggerOnDocket": true,
"triggerOnDraft": false,
"includeEvidence": true,
"includeFullCase": false
}
'import requests
url = "https://ai.platform.arb.inc/prompts/create"
payload = {
"documentID": "statementOfClaim",
"ruleSet": "small-claims-v1",
"prompt": "Analyze the statement of claim and extract key facts, legal arguments, and relief requested. Identify any procedural issues or missing information.",
"active": True,
"triggerOnDocket": True,
"triggerOnDraft": False,
"includeEvidence": True,
"includeFullCase": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentID: 'statementOfClaim',
ruleSet: 'small-claims-v1',
prompt: 'Analyze the statement of claim and extract key facts, legal arguments, and relief requested. Identify any procedural issues or missing information.',
active: true,
triggerOnDocket: true,
triggerOnDraft: false,
includeEvidence: true,
includeFullCase: false
})
};
fetch('https://ai.platform.arb.inc/prompts/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}prompts
Create AI analysis prompt
Creates a new prompt configuration for AI document analysis. Defines when and how AI should analyze specific document types in cases. Requires admin.platform.super permission.
POST
/
prompts
/
create
Create AI analysis prompt
Authorizations
access token
Body
application/json
Document type identifier
Required string length:
1 - 50Example:
"statementOfClaim"
Rule set identifier for case type
Required string length:
1 - 50Example:
"small-claims-v1"
AI prompt text for document analysis
Required string length:
1 - 50000Example:
"Analyze the statement of claim and extract key facts, legal arguments, and relief requested. Identify any procedural issues or missing information."
Whether this prompt is active
Example:
true
Trigger analysis when document is docketed
Example:
true
Trigger analysis when document is drafted
Example:
false
Include case evidence in analysis context
Example:
true
Include full case docket in analysis context
Example:
false
Response
Prompt created successfully
Example:
true
⌘I